Add a credential to a set under an env-var name (org admin).
Add a credential to a set under an env-var name (org admin). - Rensei REST API operation reference.
POST
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
orgId*stringOrganization id (must match the authenticated org).
setId*stringCredential set id (cset_*).
application/json- body
credentialId*stringCredential id in this org (must be live).
Length
1 <= lengthenvVarName*stringEnv-var name dispatch exposes this credential as.
Match
^[A-Za-z_][A-Za-z0-9_]*$Length
1 <= lengthMember added (or repointed).
application/json- response
ok*booleancurl -X POST 'https://app.rensei.ai/api/org/string/credential-sets/string/members' \ -H 'Content-Type: application/json' \ -d '{ "credentialId": "string", "envVarName": "string"}'Example Response
{ "ok": true}